import request from '@/config/axios'

// 创建
export const createChapter = (data) => {
  return request.post({
    url: '/admin-api/applet/sinology/chapter/create',
    data,
    isSubmitForm: true
  })
}

// 修改
export const updateChapter = (data) => {
  return request.put({ url: '/admin-api/applet/sinology/chapter/update', data })
}

// 分页
export const getChapterPage = (params) => {
  return request.get({ url: '/admin-api/applet/sinology/chapter/page', params })
}

// 删除
export const deleteChapter = (id) => {
  return request.delete({ url: '/admin-api/applet/sinology/chapter/delete', params: { id } })
}
